## com.google.apphosting.api
Class ApiProxy.ApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.apphosting.api.ApiProxy.ApiProxyException
                      com.google.apphosting.api.ApiProxy.ApplicationException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ApiProxy

    public static class ApiProxy.ApplicationException

extends ApiProxy.ApiProxyException

See Also:
  Serialized Form

Constructor Summary
`ApiProxy.ApplicationException(int applicationError)`
`ApiProxy.ApplicationException(int applicationError, java.lang.String errorDetail)`

Method Summary
`int` `getApplicationError()`
`java.lang.String` `getErrorDetail()`

Methods inherited from class com.google.apphosting.api.ApiProxy.ApiProxyException
`copy`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApiProxy.ApplicationException

    public ApiProxy.ApplicationException(int applicationError)

### ApiProxy.ApplicationException

    public ApiProxy.ApplicationException(int applicationError,
                                         java.lang.String errorDetail)

Method Detail

### getApplicationError

    public int getApplicationError()

### getErrorDetail

    public java.lang.String getErrorDetail()